Executions

List executions

Required API-key scope: executions:read. Optional query filters include created_after / created_before (RFC3339, inclusive).

get /executions

Authorizations

x-api-key string header required

Talus API Key in the form key_id.secret. The API also accepts Authorization: ApiKey <key_id.secret>, but the docs UI is configured to send x-api-key.

Query Parameters

dag_object_id string | null
invoker string | null
status string | null
agent_object_id string | null
skill_id integer | null
task_object_id string | null
created_after string | null

Only include executions created at or after this RFC3339 timestamp.

created_before string | null

Only include executions created at or before this RFC3339 timestamp.

page_token integer | null
page_size integer | null

200application/json

Paginated list of executions

items object[] required
agent_object_id string | null
created_at string required
dag_object_id string required
has_any_walk_failed boolean | null
has_any_walk_succeeded boolean | null
interface_revision integer | null
invoker string required
object_id string required
onchain_created_at string | null

Checkpoint timestamp of the on-chain creation event; null for rows projected before on-chain timestamps were indexed (until a backfill + replay fills them).

payment_object_id string | null
skill_id integer | null
status string required
task_object_id string | null
updated_at string required
was_aborted boolean | null
metadata object required

Pagination metadata included in every listing response.

next_token integer | null

Token to pass as page_token to retrieve the next page. null means there are no more pages.

total_items integer<int64> required

Total number of items across all pages.

400

Invalid filter value

500

Internal server error